USE fsk;

CREATE TABLE `RegistryIndex`
(
    `RegistryIndexPID` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary key',
    `FSKDocumentId`    varchar(80) DEFAULT NULL COMMENT 'FSK document id',
    `PersonIdentifier` varchar(10) DEFAULT NULL COMMENT 'Citizen CPR number',
    `FirstName`        varchar(80) DEFAULT NULL COMMENT 'Citizen first name',
    `LastName`         varchar(80) DEFAULT NULL COMMENT 'Citizen last name',
    `HashValue`        int(11)     DEFAULT NULL COMMENT 'CPR value hashvalue for record',
    `DeleteAfter`      datetime    DEFAULT NULL COMMENT 'Marker as for when the record may be deleted',
    PRIMARY KEY (`RegistryIndexPID`),
    KEY `PersonIdentifier_idx` (`PersonIdentifier`),
    KEY `FSKDocumentId_idx` (`FSKDocumentId`),
    KEY `HashValue_idx` (`HashValue`)
) ENGINE = InnoDB
  COLLATE = utf8_bin COMMENT ='Contains data used for updating DDS Registry.';
