USE stm_fsk;

CREATE TABLE IF NOT EXISTS `v2_Person` (
  `PID` BIGINT(15) NOT NULL AUTO_INCREMENT,
  `CPR` CHAR(10) NOT NULL,
  `Koen` CHAR(1) NULL,
  `Fornavn` VARCHAR(50) NULL,
  `FornavnMarkering` VARCHAR(1) NULL,
  `Mellemnavn` VARCHAR(40) NULL,
  `MellemnavnMarkering` VARCHAR(1) NULL,
  `Efternavn` VARCHAR(40) NULL,
  `EfternavnMarkering` VARCHAR(1) NULL,
  `CoNavn` VARCHAR(34) NULL,
  `Lokalitet` VARCHAR(34) NULL,
  `StandardAdresse` VARCHAR(34) NULL,
  `Vejnavn` VARCHAR(30) NULL,
  `Bygningsnummer` VARCHAR(10) NULL,
  `Husnummer` VARCHAR(4) NULL,
  `Etage` VARCHAR(2) NULL,
  `SideDoerNummer` VARCHAR(4) NULL,
  `Bynavn` VARCHAR(34) NULL,
  `Postnummer` INT(4) NULL,
  `PostDistrikt` VARCHAR(20) NULL,
  `Status` CHAR(2) NULL,
  `NavneBeskyttelseStartDato` DATETIME NULL,
  `NavneBeskyttelseSletteDato` DATETIME NULL,
  `GaeldendeCPR` CHAR(10) NULL,
  `Foedselsdato` DATE NULL,
  `Stilling` VARCHAR(50) NULL,
  `VejKode` INT(4) NULL,
  `KommuneKode` INT(4) NULL,
  `NavnTilAdressering` VARCHAR(34) NULL,
  `VejnavnTilAdressering` VARCHAR(20) NULL,
  `FoedselsdatoMarkering` VARCHAR(1) NULL,
  `StatusDato` DATETIME NULL,
  `StatusMarkering` VARCHAR(1) NULL,
  `StartDato` DATE NULL,
  `StartDatoMarkering` VARCHAR(1) NULL,
  `SlutDato` DATE NULL,
  `SlutDatoMarkering` VARCHAR(1) NULL,
  `NavnStartDato` DATETIME NULL,
  `NavnStartDatoMarkering` VARCHAR(1) NULL,
  `AdresseringsNavn` VARCHAR(34) NULL,
  `Unreliable` VARCHAR(2000) NULL,
  `CreatedDate` DATETIME NOT NULL,
  `ModifiedDate` DATETIME NOT NULL,
  `ValidFrom` DATETIME NOT NULL,
  `ValidTo` DATETIME NULL,
  PRIMARY KEY (`PID`),
  INDEX `PersonPID` (`PID` ASC, `ModifiedDate` ASC),
  INDEX `CPR` (`CPR` ASC, `ValidTo` ASC, `ValidFrom` ASC),
  INDEX `ForEfterMellemNavnValids` (`Fornavn` ASC, `Efternavn` ASC, `Mellemnavn` ASC, `ValidTo` ASC, `ValidFrom` ASC),
  INDEX `FoedselsdatoValids` (`Foedselsdato` ASC, `ValidTo` ASC, `ValidFrom` ASC))
ENGINE=InnoDB COLLATE=utf8_bin;
