/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.stamkort.dao.impl;

import dk.stamkort.domain.RegistryIndexVO;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

public class RegistryIndexRowMapper implements RowMapper {

    @Override
    public RegistryIndexVO mapRow(ResultSet resultSet, int i) throws SQLException {
        final RegistryIndexVO o = new RegistryIndexVO();
        o.setRegistryIndexPid(resultSet.getInt("RegistryIndexPid"));
        o.setFSKDocumentId(resultSet.getString("FSKDocumentId"));
        o.setTypeCode(resultSet.getString("TypeCode"));
        o.setFormatCode(resultSet.getString("FormatCode"));
        o.setPersonIdentifier(resultSet.getString("PersonIdentifier"));
        o.setFirstName(resultSet.getString("FirstName"));
        o.setLastName(resultSet.getString("LastName"));
        o.setHashValue(resultSet.getString("HashValue"));
        
        if (resultSet.getTimestamp("DeleteAfter") != null) {
        	o.setDeleteAfter(resultSet.getTimestamp("DeleteAfter").toInstant());
        }
        return o;
    }
}
