/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.stamkort.webservice.hl7cda.model;

import java.util.List;
import java.util.Optional;

public class PdcV2Data {

    private PrimaryPersonInformationHolder primaryPersonInformation;
    private ProviderOrganizationHolder providerOrganizationHolder;
    private List<CustodyHolder> custodyHolderList;
    private CoverageGroupHolder coverageGroupHolder;
    private OrganDonorRegistrationHolder organDonorRegistrationHolder;
    private TreatmentWillRegistrationHolder treatmentWillRegistrationHolder;
    private LivingWillRegistrationHolder livingWillRegistrationHolder;
    private List<LanguageTypedInHolder> languageTypedInHolder;
    private List<TempAddrTypedInHolder> tempAddrTypedInHolder;
    private Optional<DentistTypedInHolder> dentistTypedInHolder;
    private List<PatientContactTypedInHolder> patientContactTypedInHolder;
    private List<RelativeTypedInHolder> relativeTypedInHolder;

    public PrimaryPersonInformationHolder getPrimaryPersonInformation() {
        return primaryPersonInformation;
    }

    public PdcV2Data setPrimaryPersonInformation(PrimaryPersonInformationHolder primaryPersonInformation) {
        this.primaryPersonInformation = primaryPersonInformation;
        return this;
    }

    public ProviderOrganizationHolder getProviderOrganizationHolder() {
        return providerOrganizationHolder;
    }

    public PdcV2Data setProviderOrganizationHolder(ProviderOrganizationHolder providerOrganizationHolder) {
        this.providerOrganizationHolder = providerOrganizationHolder;
        return this;
    }

    public List<CustodyHolder> getCustodyHolderList() {
        return custodyHolderList;
    }

    public PdcV2Data setCustodyHolderList(List<CustodyHolder> custodyHolderList) {
        this.custodyHolderList = custodyHolderList;
        return this;
    }

    public CoverageGroupHolder getCoverageGroupHolder() {
        return coverageGroupHolder;
    }

    public PdcV2Data setCoverageGroupHolder(CoverageGroupHolder coverageGroupHolder) {
        this.coverageGroupHolder = coverageGroupHolder;
        return this;
    }

    public OrganDonorRegistrationHolder getOrganDonorRegistrationHolder() {
        return organDonorRegistrationHolder;
    }

    public PdcV2Data setOrganDonorRegistrationHolder(OrganDonorRegistrationHolder organDonorRegistrationHolder) {
        this.organDonorRegistrationHolder = organDonorRegistrationHolder;
        return this;
    }

    public TreatmentWillRegistrationHolder getTreatmentWillRegistrationHolder() {
        return treatmentWillRegistrationHolder;
    }

    public PdcV2Data setTreatmentWillRegistrationHolder(TreatmentWillRegistrationHolder treatmentWillRegistrationHolder) {
        this.treatmentWillRegistrationHolder = treatmentWillRegistrationHolder;
        return this;
    }

    public LivingWillRegistrationHolder getLivingWillRegistrationHolder() {
        return livingWillRegistrationHolder;
    }

    public PdcV2Data setLivingWillRegistrationHolder(LivingWillRegistrationHolder livingWillRegistrationHolder) {
        this.livingWillRegistrationHolder = livingWillRegistrationHolder;
        return this;
    }

    public List<LanguageTypedInHolder> getLanguageTypedInHolder() {
        return languageTypedInHolder;
    }

    public PdcV2Data setLanguageTypedInHolder(List<LanguageTypedInHolder> languageTypedInHolder) {
        this.languageTypedInHolder = languageTypedInHolder;
        return this;
    }

    public List<TempAddrTypedInHolder> getTempAddrTypedInHolder() {
        return tempAddrTypedInHolder;
    }

    public PdcV2Data setTempAddrTypedInHolder(List<TempAddrTypedInHolder> tempAddrTypedInHolder) {
        this.tempAddrTypedInHolder = tempAddrTypedInHolder;
        return this;
    }

    public Optional<DentistTypedInHolder> getDentistTypedInHolder() { return dentistTypedInHolder; }

    public PdcV2Data setDentistTypedInHolder(Optional<DentistTypedInHolder> dentistTypedInHolder) {
        this.dentistTypedInHolder = dentistTypedInHolder;
        return this;
    }

    public List<PatientContactTypedInHolder> getPatientContactTypedInHolder() {
        return patientContactTypedInHolder;
    }

    public PdcV2Data setPatientContactTypedInHolder(List<PatientContactTypedInHolder> patientContactTypedInHolder) {
        this.patientContactTypedInHolder = patientContactTypedInHolder;
        return this;
    }

    public List<RelativeTypedInHolder> getRelativeTypedInHolder() {
        return relativeTypedInHolder;
    }

    public PdcV2Data setRelativeTypedInHolder(List<RelativeTypedInHolder> relativeTypedInHolder) {
        this.relativeTypedInHolder = relativeTypedInHolder;
        return this;
    }
}
