/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.stamkort.webservice.hl7cda.model;

import java.time.ZonedDateTime;
import java.util.ArrayList;
import java.util.List;

public class RelativeTypedInHolder {

    private IdHolder id;
    private List<String> givens = new ArrayList<>();
    private String family;
    private CodeHolder relation;
    private String note;
    private ZonedDateTime authorTime;
    private String authorCpr;
    private List<String> authorGivens = new ArrayList<>();
    private String authorFamily;
    private List<PhoneHolder> phoneHolders = new ArrayList<>();

    public RelativeTypedInHolder(IdHolder id) { this.id = id; }

    public IdHolder getId() {
        return id;
    }

    public List<String> getGivens() {
        return givens;
    }

    public void addGiven(String given) {
        this.givens.add(given);
    }

    public String getFamily() {
        return family;
    }

    public void setFamily(String family) {
        this.family = family;
    }

    public CodeHolder getRelation() {
        return relation;
    }

    public void setRelation(CodeHolder relation) {
        this.relation = relation;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public ZonedDateTime getAuthorTime() {
        return authorTime;
    }

    public void setAuthorTime(ZonedDateTime authorTime) {
        this.authorTime = authorTime;
    }

    public String getAuthorCpr() {
        return authorCpr;
    }

    public void setAuthorCpr(String authorCpr) {
        this.authorCpr = authorCpr;
    }

    public List<String> getAuthorGivens() {
        return authorGivens;
    }

    public void addAuthorGiven(String authorGiven) {
        this.authorGivens.add(authorGiven);
    }

    public String getAuthorFamily() {
        return authorFamily;
    }

    public void setAuthorFamily(String authorFamily) {
        this.authorFamily = authorFamily;
    }

    public List<PhoneHolder> getPhoneHolders() {
        return phoneHolders;
    }
}
