/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.stamkort;

import dk.stamkort.util.skr.HttpClient;
import org.junit.Assert;
import org.junit.Test;

import java.io.IOException;
import java.net.URISyntaxException;

public class StatusITCase extends AbstractITCase {

    private String isAliveEndpoint;

    public StatusITCase() throws URISyntaxException {
        super();
        this.isAliveEndpoint = "http://" + this.host + ":" + this.port + "/fsk/isAlive";

    }

    @Test
    public void callIsAliveSuccess() throws Exception {

        // given

        // when
        String[] response = isAliveUrlCall();
        String responseStatus = response[0];
        String responseText = response[1];

        // then
        Assert.assertEquals("200", responseStatus);
        Assert.assertNotNull(responseText);
        String responseLines[] = responseText.split("\\n");
        Assert.assertEquals(19, responseLines.length);
        Assert.assertEquals("fsk database : \"Forbindelse til database fsk ok\"", responseLines[17]);
        Assert.assertEquals("stm database : \"Forbindelse til database stm ok\"", responseLines[18]);

    }

    private String[] isAliveUrlCall() throws IOException {
        HttpClient httpClient = new HttpClient();
        String result = httpClient.get(isAliveEndpoint);
        return new String[]{String.valueOf(httpClient.getResponseCode()), result};
    }

}
